# 45. Mutation: User Dataを保存

ユーザーアカウント設定を更新するミューテーション。ミューテーションは要求された属性のみを設定します。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation SaveUserDataSample {
  saveUserData(
    input: {
      language: en
      areaUnit: ACRES
      soilDatasetClassesAmount: 6
    }
  ) {
    uuid
    email
    面積単位
    言語
    土壌データセットのクラス数
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/45-mutation-user-datawo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
